ResourceController Class |
Namespace: Dundas.BI.WebApi.Controllers
The ResourceController type exposes the following members.
| Name | Description | |
|---|---|---|
| ResourceController |
Initializes a new instance of the ResourceController class.
|
| Name | Description | |
|---|---|---|
| DeleteBuiltInResource | DELETE /Resource/BuiltInResource/
Deletes the contents of the specified built-in resource.
| |
| DeleteStaticResource | DELETE /Resource/StaticResource/{id}
Deletes the contents of the specified static resource.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GetBuiltInResource | GET /Resource/BuiltInResource/
Gets the contents of the specified built-in resource.
| |
| GetBuiltInResourceFile | GET /Resource/BuiltInResourceFile/
Gets the requested built-in resource as a file.
| |
| GetBuiltInResourceInfos | GET /Resource/BuiltInResourceInfos/
Gets all the created and available built-in resource infos.
| |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetData | GET /Resource/File/{id}
Gets the requested resource data.
| |
| GetImageThumbnail | GET /Resource/ImageThumbnailFile/{id}
Gets the thumbnail for the specified image as a file.
| |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetStaticResource | GET /Resource/StaticResource/{name}
Gets the contents of the specified static resource.
| |
| GetStaticResourceFile | GET /Resource/StaticResourceFile/{name}
Gets the contents of the specified static resource as a file.
| |
| GetStaticResourceInfos | GET /Resource/StaticResourceInfos/
Gets all the created and available static resource infos.
| |
| GetStoredViewThumbnail | GET /Resource/ViewThumbnailFile/{id}
Gets the thumbnail for the specified view as a binary file.
| |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| StoreBuiltInResource | PUT /Resource/BuiltInResource/
Stores the contents of the specified built-in resource.
| |
| StoreBuiltInResourceFile | POST /Resource/BuiltInResourceFile/
Stores the contents of the specified built-in resource when sent as a file. This API call expects form files inside the request body.
| |
| StoreData | POST /Resource/File/{id}
Stores binary file data for different types of files. This API call expects form files inside the request body.
| |
| StoreStaticResourceFile | POST /Resource/StaticResourceFile/
Stores the contents of the specified static resource when sent as a file. This API call expects form files inside the request body.
|